<?php if (!defined('BASEPATH')) exit('No direct script access allowed');


function print_data($data){
	echo '<pre>';
	print_r($data);
	echo '</pre>';
    exit;
}

function showdb($table, $where)
{
     $CI = & get_instance();  
    $CI->load->database();
    
 
    $x = $CI->basic->get_one($table, $where);   
    
    return $x;

}
function get_drug_count($drug_id)
{
    $CI = & get_instance();  
    $CI->load->database();

    $books = $CI->basic->get_one('tbl_drugs_ledger', ['drug_id'=>$drug_id]);

    
    if(count($books)>0)
    {

        return $books->quantity;
    }
    else
    {
        return "0";
    }
}
 
function get_error($msg) {
    return '<div class="alert alert-danger">' . $msg . '</div>';
}

function get_success($msg) {
    return '<div class="alert alert-info">' . $msg . '</div>';
}
function get_extension($filename)
{
    $x = explode('.', $filename);
    return strtolower(end($x));
}
function getAlertMessage($msg, $type)
{
    return "<div class='text-center alert alert-".$type."'><strong>".$msg."</strong></div>";
}
   

function alert($msg, $type)
{
	return "<div class='text-center alert alert-".$type."'><strong>".$msg."</strong></div>";
}
 
 function get_message($msg, $type)
{
    return "<div class='text-center alert alert-".$type."'><strong>".$msg."</strong></div>";
}
 
 function show_db($table, $where)
{
    if(!empty($where))
    {
        $CI = & get_instance();  
        $CI->load->database();
    
        
        $x = $CI->db->get_where($table, $where);
        
       
        if($x->num_rows() >0)
        {

            return $x->row();
        }
        else
        {
            return "";
        }
    }
    else
    {
        return false;
    
    }

}

function get_cost($ref)
{
	 $CI = & get_instance();  

     return $CI->basic->get_one('tbl_drugs_ledger', ['drug_id'=>$ref])->unit_cost;
}


function message()
{	$CI = & get_instance();  
	if(isset($error)) { echo $error; }
	if($CI->session->flashdata('msg')) { echo $CI->session->flashdata('msg'); }
}


function messages()
{   $CI = & get_instance();  

    echo $CI->session->flashdata('success') ? $CI->session->flashdata('success') : '';
    echo $CI->session->flashdata('error') ? $CI->session->flashdata('error') : '';
}
 
function transaction_type($code) {
    return ($code==0)?'<span class="label label-danger">EXPENSE</span>':'<span class="label label-success">INCOME</span>';
    
}

function check_mail()
{
    $CI = & get_instance();  
    $CI->load->database();
    $user = $CI->session->userdata('foin_user_id');
 
    $x = $CI->basic->get_many('notification', ['user_id'=>$user, 'status'=>0]);   
    

    return count($x);

}
function label($value, $type)
{
	return "<span class='label label-".$type."'>$value</span>";
	 

}

 

function last_ref($strng)
    { 
     
         
 		   $id = $strng;

           $id +=1;
            switch(strlen($id))
            {
                case 1:
                return "0000".$id;
                break;
                case 2:
                return "000".$id;
                break;
                case 3:
                return "00".$id;
                break;
                case 4:
                return "0".$id;
                break;
                
                default:
                return $id;
                }
            
            
            
     


        return $id;
     
    }



function encode_url($string, $key="", $url_safe=TRUE)
{
    if($key==null || $key=="")
    {
        $key="onetimepassword";
    }
      $CI =& get_instance();
    $ret = $CI->encrypt->encode($string, $key);

    if ($url_safe)
    {
        $ret = strtr(
                $ret,
                array(
                    '+' => '.',
                    '=' => '-',
                    '/' => '~'
                )
            );
    }

    return $ret;
}

function decode_url($string, $key="")
{
     if($key==null || $key=="")
    {
        $key="onetimepassword";
    }
        $CI =& get_instance();
    $string = strtr(
            $string,
            array(
                '.' => '+',
                '-' => '=',
                '~' => '/'
            )
        );

    return $CI->encrypt->decode($string, $key);
}

 function set_active_menu($title)
{   
      $ci = & get_instance();  
    $menu = $ci->uri->uri_string();

    
    if(in_array($title, explode('/', $menu)))
    {
        return " active";
    }
}



function priviledges($type)
{
        $CI = & get_instance();  
        $CI->load->database();
        $x = [];
 
        
        $priviledges = explode(',',$CI->privilege);
        
        if(!in_array($type, $priviledges) && !in_array('SUPERADMIN',  $priviledges)){
            
            redirect('dashboard','refresh');
        }
 
        
}
 
