<!-- ########## START: MAIN PANEL ########## -->
    <div class="br-mainpanel">
      <div class="br-pageheader">
        <nav class="breadcrumb pd-0 mg-0 tx-12">
          <a class="breadcrumb-item" href="#">Audios</a>
          <span class="breadcrumb-item active">Audio Page</span>
        </nav>
      </div><!-- br-pageheader -->
      <div class="br-pagetitle">
        <i class="icon icon ion-ios-book-outline"></i>
        <div>
          <h5>Manage Uploads</h5>
          
        </div>
      </div><!-- d-flex -->

      <div class="br-pagebody">
          <div class="br-section-wrapper">
          
        <div class="row">
 
  
       
            <div class="col-md-12">
                <div class="panel panel-info">
                    <div class="panel-heading">
                        Existing Uploads <a href="#" class="label label-info  " data-toggle="modal" data-target="#addNewTransaction">Add File</a> 
                    </div>
                    <div class="panel-body">
                        <div class="row">
                          <div class="col-md-12">
                            <?php echo $this->session->flashdata('success') ? alert($this->session->flashdata('success'), 'info') : '' ?>
                            <?php echo $this->session->flashdata('error') ? alert($this->session->flashdata('error'), 'danger') : '' ?>
                          </div>
                            <table class="table table-hover table-stripped" id="datatable">
                            
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>File</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $sn=1;
                                            foreach($list as $row):
                                        ?>
                                        <tr>
                                            <td><?=$sn++;?></td>
                                            <td> <?= $row->title ?> </td>
                                            <td><?=$row->description;?></td>
                                            <td> <audio src="<?=$row->fileLocation?>" controls></audio></td>

                                            <td>
                                                <!-- Single button -->
                                                <div class="btn-group" role="group" aria-label="Basic example">
                                                <a href="<?=  site_url('audios/edit/'.md5($row->id))?>" class='btn btn-info btn-xs'> 
                                                    <i class="fa fa-edit"></i></a> 
                                                <a href="<?=  site_url('audios/delete/'.md5($row->id))?>" class='btn btn-danger btn-xs' onclick="return(confirm('Are You sure You want to delete this user? All records will be deleted'))"> 
                                                    <i class="fa fa-trash"></i></a> 
                                                   
                                                </div>
                                            </td>
                                        </tr>
                                        <?php
                                            endforeach;
                                        ?>
                                    </tbody>
                                   
                                </table>
                        </div>
                    </div>
                </div>
            </div>
      
        </div>
      </div><!-- br-pagebody -->

    </div><!-- br-mainpanel -->
    <div class="modal fade" id="addNewTransaction" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                    <div class="modal-dialog" role="document" style="width: 50%">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                <h4 class="modal-title" id="myModalLabel">Add Audio File</h4>
                            </div>
                            <div class="modal-body">
                            <div class="col-md-12 statss" style="display: none;">
								<div class="progress h-8 mb-20">
									<!-- wow animated progress-animated -->
                                        <div class="progress-bar bg-success progress-bar-animated progress-bar-striped wow animated progress-animated"  role="progressbar" id="progress-bar"> 
                                        	<span class="sr-only">0% Complete</span> 
                                        </div>
                                </div>
							</div>
                                <div id="body">
                                  <h3>New Audio File Form</h3>
                                  <form action="<?= site_url('audios/create') ?>" method="post"  id='uploadcontent' enctype='multipart/form-data'>
                                      <div class="form-group">
                                        <label for="">Title</label>
                                        <input type="text" class="form-control" name="title" value="<?= set_value('title')?>" placeholder="Mesage Title" required>
                                      </div>
                                      
                                      <div class="form-group">
                                        <div class="row">
                                          <div class="col-md-12">
                                            <label for="">Description</label>
                                            <textarea class="form-control" name="description"  placeholder="Message Description" required><?= set_value('description')?></textarea>
                                          </div>
                                           
                                        </div>
                                       
                                       
                                        
                                      </div>
                                      <div class="form-group">
                                        <div class="row">
                                          <div class="col-md-6">
                                              <label for="">Cover Image</label>
                                              <input type="file" class="form-control" name="contentFile" value="" placeholder="Cover Image" required>
                                   
                                          </div>
                                          <div class="col-md-6">
                                              <label for="">Audio File</label>
                                              <input type="file" class="form-control" name="audiofile" placeholder="Audio File"  required>
                                          </div>
                                        </div>
                                          
                                        
                                      </div>
                                      
                                    
                                      <div class="form-group">
                                        <label for=""></label>
                                        <button type="submit" class="btn btn-info" id="uploadForm">Save</button>
                                        <a href="#" class='btn btn-default closed'  data-dismiss="modal" aria-label="Close"> Close</a>

                                      </div>
                                  </form>



                                </div>



                            </div>
                   </div>
                            
                        </div>
                    </div>


                   