<?php
class Migration_Create_Contents extends CI_Migration {
    public function up(){
                $this->dbforge->add_field(array(
                        'id' => array(
                                'type' => 'INT',
                                'constraint' => 5,
                                'unsigned' => TRUE,
                                'auto_increment' => TRUE
                        ),
                        'title' => array(
                                'type' => 'VARCHAR',
                                'constraint' => '200',
                        ),
                        'description' => array(
                                'type' => 'TEXT',
                                'NULL'=>TRUE
                        ),
                        'media_type' => array(
                                'type' => 'VARCHAR',
                                'constraint' => '10',
                                'default' => 'VIDEO',
                        ),
                        'contentType' => array(
                                'type' => 'VARCHAR',
                                'constraint' => '200',
                        ),
                        'fileLocation' => array(
                            'type' => 'VARCHAR',
                            'constraint' => '400',
                        ),
                        'cloudinaryid'=>array(
                            'type'=>'VARCHAR',
                            'constraint'=>'200'
                        ),
                    'datecreated timestamp default now()',
                    'datemodified timestamp',

                ));
                $this->dbforge->add_key('id', TRUE);
                $this->dbforge->add_key('contentType');
                $this->dbforge->add_key('media_type');
                $this->dbforge->add_key('fileLocation');
          
                $this->dbforge->add_key('cloudinaryid');
                 $this->dbforge->add_key('title');
        
                $this->dbforge->create_table('t_contents');
                }

    public function down(){
                $this->dbforge->drop_table('t_contents');
        }
}
