<?php
    class Migration_Create_Admin extends CI_Migration {
    public function up(){
                $this->dbforge->add_field(array(
                        'id' => array(
                                'type' => 'INT',
                                'constraint' => 11,
                                'unsigned' => TRUE,
                                'auto_increment' => TRUE
                        ),
                         
                        'username' => array(
                                'type' => 'VARCHAR',
                                'constraint' => '100',
                        ),
                        'password' => array(
                                'type' => 'VARCHAR',
                                'constraint' => '200',
                        ),
                        
                        'fullname' => array(
                                'type' => 'VARCHAR',
                                'constraint' => '100',
                        ),
                        
                        'status' => array(
                                'type' => 'INT',
                                'constraint' => '1',
                                'default'=>1
                        ),
                    'datecreated timestamp default now()',
                    'datemodified timestamp',

                ));
                    $this->dbforge->add_key('id', TRUE);
                    $this->dbforge->add_key('username');
                    $this->dbforge->add_key('password');
                    $this->dbforge->create_table('t_users');
                }

    public function down(){
                $this->dbforge->drop_table('t_users');
        }
}
