<?php
defined('BASEPATH') OR exit('No direct script access allowed');
 

class Audios extends MY_Controller {
	 
	public function __construct()
	{
        include APPPATH.'third_party/cloudinary/autoload.php';
		parent::__construct();
		//Do your magic here
		//FIRST CHECK IF STORE EXIST
        ini_set('memory_limit', -1);
        ini_set('max_execution_time', -1);
        
	       
    }
    
    public function index($audioid=NULL,$delete=NULL){
            $this->data['list'] = $this->basic->get_many('t_contents', ['media_type'=>'AUDIOS']);
			$this->data['subview'] = 'audios/audio_page';
	        $this->load->view('holder/template', $this->data);
     
         
    }    
    
    public function view(){
        #GET COURSES
        $this->db->select('t_courses.*, count(t_contents.courseid) as totalContents,category_name,class_name');
        $this->db->group_by('t_courses.uniqueid');
        $this->db->join('t_contents','t_courses.uniqueid = t_contents.courseid','left');
        $this->db->join('t_category','t_courses.categoryid = t_category.uniqueid','left');
        $this->db->join('t_class','t_courses.class_id = t_class.uniqueid','left');
        $this->data['courses'] = $courses = $this->coursemodel->get();
        #LOAD VIEW
        $this->data['subview'] = 'admin/content/viewCoursesPage';
        $this->load->view('admin/_layout_main',  $this->data);             
    }
    
    public function create(){
        if($this->input->post()){
                extract($this->input->post());
                
              
                
                $data = $this->input->post();

            
                $data['datecreated'] =$this->now;
                $data['datemodified'] =$this->now;
               //CHECK IF USER UPLOADED FILE
               if(isset($_FILES['contentFile']) && $_FILES['contentFile']['size'] > 0){                
                //PERFORM UPLOAD

               
                    $location = "./resources/uploads/images";
                    $allowedTypes = '*';
                    $allowedSize = '1000000';
                    $destFileName = $data['title'];

                    // # code...
                    // $location = "./resources/uploads/";
                    // $allowedTypes = 'gif|jpg|png|jpeg';
                    // $allowedSize = '1000000';
                    
                 
    
                        $config['file_name'] = $_FILES['contentFile']['name'];
                        $config['type'] = $_FILES['contentFile']['type']; 
    
                        $config['upload_path'] = $location; 
    
                        $config['allowed_types'] = $allowedTypes;
                        $config['encrypt_name'] = TRUE;
                        $config['overwrite'] = FALSE;
    
                        $config['max_size'] = '1000000';
    
                        $this->load->library('upload', $config);
                        $this->upload->do_upload('contentFile');
    
                        $uploadData = $this->upload->data();
    
                  
    
                    
                        $configX['file_name'] = $_FILES['audiofile']['name'];
                        $configX['type'] = $_FILES['audiofile']['type']; 
    
                        $configX['upload_path'] = $location; 
    
                        $configX['allowed_types'] = $allowedTypes;
                        $configX['encrypt_name'] = TRUE;
                        $configX['overwrite'] = FALSE;
    
                        $configX['max_size'] = '1000000';
    
                        $this->load->library('uploads', $configX);
                        $this->uploads->do_upload('audiofile');
                        $uploadData_ = $this->uploads->data(); 

                        
                        $fileLocation = $uploadData_['full_path'];
                       
                        $uploadPath = 'censers/audios/';

                            
                        $resourceType = "video";
                        $fileName = $data['title'];
                        $cloudinaryDetails = $this->cloudinaryUpload($fileLocation,$resourceType,$fileName,$uploadPath);


                        $data['fileLocation'] = $cloudinaryDetails['secure_url'];
                        $data['cloudinaryid']  = $cloudinaryDetails['public_id'];
                        $data['duration'] = round($cloudinaryDetails['duration']/60,2);
    
                        $data['cover_image'] = $location.'/'.$uploadData['file_name'];
                        $data['media_type'] = "AUDIOS";

                    $this->basic->add('t_contents', $data);
                    $this->session->set_flashdata('success', "<div class='alert alert-success'>Audio File Update complete</div>");
                    
                    redirect('audios', 'refresh');
  
               
               
                 
            }
        }
        else{
            echo "nothing found";
            exit;
            redirect('audios', 'refresh');
        }
    }
       
    public function edit($fileid){
        $file = $this->basic->get_one('t_contents', ['md5(id)'=>$fileid]);
        if($file){
            $this->data['file'] = $file;
            $this->data['subview'] = 'audios/edit_audio_page';
	        $this->load->view('holder/template', $this->data);
        }
       else{
        $this->session->set_flashdata('success', "<div class='alert alert-warning'>Audio Details not found!</div>");

           redirect('audios', 'refresh');

       }
    }

    public function update(){
        if($this->input->post()){
            extract($this->input->post());
            $data['title'] = $title;
            $data['description'] = $description;
            $data['datemodified'] = $this->now;
            $this->basic->update('t_contents', $data, ['md5(id)'=>$id]);
            $this->session->set_flashdata('success', "<div class='alert alert-sucess'>Audio Details updated!</div>");

            redirect('audios', 'refresh');
 
        }
    }
   
    public function delete($contentid){
        if(isset($contentid)){
            $this->data['contentData'] = $contentData = $this->basic->get_one('t_contents',['md5(id)'=>$contentid],true);    
            if(count($contentData)){
                //DELETE FROM LOCAL DB
                $deleted = $this->basic->delete('t_contents', ['md5(id)'=>$contentid]);
                if($deleted){
                    //DELETE FILE FROM CLOUDINARY
                    $deleteFromCloud = $this->cloudinaryDelete($contentData->cloudinaryid);                    
                }
                $this->session->set_flashdata('success', "<div class='alert alert-sucess'>Audio Details Deleted!</div>");

                redirect('audios', 'refresh');
            }
            else{
                $this->session->set_flashdata('success', "<div class='alert alert-sucess'>Audio Details note found!</div>");

                 redirect('audios', 'refresh');
            }
        }
        else{
            $this->session->set_flashdata('success', "<div class='alert alert-warning'>Audio Details wrong!</div>");

            redirect('audios', 'refresh');
        }
    }
    
    public function cloudinaryUpload($fileLocation,$resourceType,$fileName,$uploadPath){
        Cloudinary::config(array(
            "cloud_name" => "dnishe",
            "api_key" => "937938355328151",
            "api_secret" => "CoBa2hQsKe77uMHguwGVvIGmePE",
              "secure" => true
        ));                    
                            
        $cloudinaryDetails = Cloudinary\Uploader::upload($fileLocation, array("use_filename" => TRUE,"resource_type" => $resourceType,"public_id"=>strtolower($fileName),"folder"=>$uploadPath,"timeout" => 6000000));        
        return $cloudinaryDetails;        
        
    }
    
    public function cloudinaryDelete($id){
        Cloudinary::config(array(
            "cloud_name" => "dnishe",
            "api_key" => "937938355328151",
            "api_secret" => "CoBa2hQsKe77uMHguwGVvIGmePE"
        ));                            
        $status = Cloudinary\Uploader::destroy($id);        
        return $status;
    }    
    

}
