<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Auth extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->now = date('Y-m-d H:i:s');
        $this->today =  date('Y-m-d');
        $this->time = date('H:i:s A');
    }
	public function index()
	{
		$this->load->library("migration");

		 #RUN ANY NEW MIGRATIONS
        // $this->load->library('migration');
        // $this->migration->current();
     


	    if(!$this->migration->current()){
	          show_error($this->migration->error_string());
	          exit;
	    }   
		$this->load->view('welcome_message');
	}

	public function login() {
	    $this->load->model('auth_model', 'auth');
		
        //LOAD VALIDATION RULES FROM MODEL
        $rules=$this->auth->login_rules;
        //SET VALIDATION RULES
        $this->form_validation->set_rules($rules);
        if($this->form_validation->run()==TRUE){
            $status=$this->auth->auth();
            if($status==true){

             

                    $day = date('Y-m-d');
                    $staffid = $this->session->userdata('current_userdata')->staffid;

                   

                redirect('dashboard');
            }
            else{
                $this->data['error_message']= get_error("<span class='text-center'>Username or Password in Invalid.Please Try Again.<br/> Thank You</span>");
            }
        }
        else{
            $this->data['error_message'] = (trim(validation_errors())!=FALSE)?get_error(validation_errors()):'';
        }
        $this->load->view('welcome_message',$this->data);
    }
    public function logout(){

        $staffid = $this->session->userdata('current_userdata')->staffid;


      
        $this->session->sess_destroy();


        redirect(site_url(),'refresh');
    }
 
}
