<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

 
    <!-- Meta -->
    <meta name="description" content="Premium Quality and Responsive UI for Dashboard.">
    <meta name="author" content="ThemePixels">

    <title>PHARM APP | LOGIN</title>

    <!-- vendor css -->
    <link href="<?=site_url()?>resources/lib/font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="<?=site_url()?>resources/lib/Ionicons/css/ionicons.css" rel="stylesheet">

    <!-- Bracket CSS -->
    <link rel="stylesheet" href="<?=site_url()?>resources/css/bracket.css">
    <link rel="stylesheet" href="<?=site_url()?>resources/css/bracket.dark.css">
  </head>

  <body>

    <div class="d-flex align-items-center justify-content-center ht-100v">
      <div class="login-wrapper wd-300 wd-xs-350 pd-25 pd-xs-40 bg-br-primary rounded bd bd-white-1">
 <?php echo $this->session->flashdata('success') ? getAlertMessage($this->session->flashdata('success'), 'info') : '' ?>
          <?php echo $this->session->flashdata('error') ? getAlertMessage($this->session->flashdata('error'), 'danger') : '' ?>

          <?php if(isset($error_message)) { echo $error_message; }?>
        <div class="signin-logo tx-center tx-28 tx-bold tx-white"><span class="tx-normal">[</span> PHARM <span class="tx-info">plus</span> <span class="tx-normal">]</span></div>
        <div class="tx-center mg-b-20">OMNI iPOS</div>
        <form action="<?=site_url('auth/login')?>" method="post" style='margin:0;padding: 0'>
        <div class="form-group">
          <input type="text" class="form-control form-control-dark" name="username" placeholder="Enter your username">
        </div><!-- form-group -->
        <div class="form-group">
          <input type="password" class="form-control form-control-dark" name="password" placeholder="Enter your password">
          <a href="" class="tx-info tx-12 d-block mg-t-10">Forgot password?</a>
        </div><!-- form-group -->
        <button type="submit" class="btn btn-info btn-block">Sign In</button>
        </form>
      </div><!-- login-wrapper -->
    </div><!-- d-flex -->

    <script src="<?=site_url()?>resources/lib/jquery/jquery.js"></script>
    <script src="<?=site_url()?>resources/lib/popper.js/popper.js"></script>
    <script src="<?=site_url()?>resources/lib/bootstrap/js/bootstrap.js"></script>

  </body>
</html>
